#ifndef CAMPGRID_H
#define CAMPGRID_H

#include <core.h>
#include "data/camp-data.h"
#include "camp-odb.hxx"

#include "detailwidget.h"

class CampGrid : public GridForm<CampData>
{
    Q_OBJECT
public:
    CampGrid(QWidget *parent = NULL);

    // IGridForm interface
protected:
    void handleNewRecord();
    void handleEditRecord();

    // GridForm interface
protected:
    void doDelete(CampDataPtr entity);

private:
    void addToVoucher(CampDataPtr data);
    DetailWidget *m_detail;


    // IGridForm interface
protected:
    void currentIndexChanged(const QModelIndex &current);
};

#endif // CAMPGRID_H
